#ifndef UTIL_H
#define UTIL_H

double pround(double val, int n);
CharPtr print_horizontal_speed(DataValue val);
CharPtr print_vertical_speed(DataValue val);
CharPtr print_distance(DataValue val);
CharPtr print_altitude(double val);
//CharPtr print_altitude(DataValue val);
CharPtr print_temperature(DataValue val);
CharPtr print_qnh(DataValue val);

CharPtr print_direction(DataValue val);
CharPtr print_longitude(DataValue val);
CharPtr print_latitude(DataValue val);
double StrToDbl(CharPtr input);
double CharToDbl(char input);
CharPtr DblToStr(double input, int prec);
double next_comma_dbl(CharPtr * s);

void field_set_value(UInt fieldID, CharPtr s);
double field_get_double(UInt fieldID);
Long field_get_long(UInt fieldID);
Boolean ctl_get_value(UInt ctlID);
CharPtr field_get_str(UInt fieldID);
void ctl_set_value(UInt ctlID, Boolean ctl_value);
void set_unit_constants();
Boolean GetField(const char *buffer, UInt n, char *result);
char* SecondsToDateOrTimeString(ULong  date, char  *textP, int dttype);
void StringToDateOrTime(CharPtr textP, DateTimeType *dtt, int dttype);

#endif
